#
# spec file for package perl-URI-Find
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-URI-Find
Version:        20160806
Release:        18.1
%define cpan_name URI-Find
Summary:        Find URIs in arbitrary text
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/URI-Find/
Source0:        http://www.cpan.org/authors/id/M/MS/MSCHWERN/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Module::Build) >= 0.300000
BuildRequires:  perl(Test::More) >= 0.88
BuildRequires:  perl(URI) >= 1.60
Requires:       perl(URI) >= 1.60
%{perl_requires}

%description
This module does one thing: Finds URIs and URLs in plain text. It finds
them quickly and it finds them *all* (or what URI.pm considers a URI to
be.) It only finds URIs which include a scheme (http:// or the like), for
something a bit less strict have a look at URI::Find::Schemeless.

For a command-line interface, urifind is provided.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Build.PL installdirs=vendor
./Build build flags=%{?_smp_mflags}

%check
./Build test

%install
./Build install destdir=%{buildroot} create_packlist=0
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc appveyor.yml Changes LICENSE README TODO

%changelog
* Sun Aug  7 2016 coolo@suse.com
- updated to 20160806
  see /usr/share/doc/packages/perl-URI-Find/Changes
  20160806  Sat Aug  6 13:36:14 PDT 2016
    Distribution
  * Homepage is now metacpan
  * Now testing Strawberry Perl with AppVeyor
  * Kwalitee fix (Patrice Clement) [github 14]
* Mon Sep 15 2014 coolo@suse.com
- updated to 20140709
    New Features
  * The "git" scheme is supported. (Schwern)
  * svn, ssh and svn+ssh schemes are supported. [rt.cpan.org 57490] (Schwern)
  * Added a --schemeless option to urifind. (Schwern)
    Bug Fixes
  * http:// is no longer matched [rt.cpan.org 63283] (Schwern)
    Backwards Incompatibilities
  * Previously, URIs stringified to their canonical version.  Now
    they stringify as written.  This results in less loss of
    information.  For example.  "Blah HTTP:://FOO.COM" previously
    would stringify as "http://foo.com/" and now it will stringify
    as "HTTP://FOO.COM".  To restore the old behavior you can call
    $uri->canonical. (Schwern)
    Distribution Changes
  * No longer using URI::URL. (Schwern)
  * Now requires URI 1.60 for Unicode support. (Schwern)
  20140702  Wed Jul  2 13:41:47 PDT 2014
    New Features
  * IDNA (aka Unicode) domains are now supported. [github 3] (GwenDragon)
  * The list of TLDs for schemeless matching has been updated. [github 3] (GwenDragon)
    Bug Fixes
  * Handle balanced [], {} and quotes in addition to (). [rt.cpan.org 85053] (Schwern)
  * Don't mangle IPv6 URLs. [rt.cpan.org 85053] (Schwern)
  * Schemeless is more accurate about two letter TLDs. [github 3] (GwenDragon)
    Distribution Changes
  * Switched the issue tracker to Github. (Schwern)
* Mon Dec 19 2011 coolo@suse.de
- updated to 20111103 from very old sources, see Changes
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Nov 29 2010 coolo@novell.com
- called spec2changelog
* Mon Jan 11 2010 nine@detonation.org
- initial package
